<?php
if (isset($s[1]) && $s[1] == '101/kotel') {
    /*
        Сундук: Котел
        * Можно найти Сущность щита
        * Может отнять 100-1000 НР
    */
    //Все переменные сохранять в массиве $vad !
    $vad = [
        'go' => true,
    ];
    $vad['test1'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `dungeon_actions` WHERE `dn` = "' . $u->info['dnow'] . '" AND `vars` = "obj_act' . $obj['id'] . '" LIMIT 1'));
    if ($vad['test1'][0] > 0) {
        $r = 'Кто-то перевернул котел...';
        $vad['go'] = false;
    }

    if ($vad['go'] == true) {
        mysql_query('INSERT INTO `dungeon_actions` (`dn`,`time`,`x`,`y`,`uid`,`vars`,`vals`) VALUES (
			"' . $u->info['dnow'] . '","' . time() . '","' . $obj['x'] . '","' . $obj['y'] . '","' . $u->info['id'] . '","obj_act' . $obj['id'] . '","' . $vad['bad'] . '"
		)');
        //Награда
        $this->pickitem($obj, 4269, $u->info['id']);
        $r = 'Обыскав &quot;' . $obj['name'] . '&quot; вы обнаружили предмет &quot;Сущность Щита&quot;';
    }
    unset($vad);
}
